src/mesh/cs_mesh.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions | Variables
cs_mesh.h File Reference
`#include "cs_defs.h"`
`#include "fvm_group.h"`
`#include "fvm_selector.h"`
`#include "fvm_periodicity.h"`
`#include "cs_base.h"`
`#include "cs_halo.h"`
`#include "cs_interface.h"`
`#include "cs_numbering.h"`
`#include "cs_mesh_builder.h"`
Include dependency graph for cs_mesh.h:

Go to the source code of this file.

## Data Structures
struct | cs_mesh_t

## Functions
void | synsca (cs_real_t var[])
void | synsce (cs_real_t var[])
void | syncmp (cs_real_t var[])
void | synvec (cs_real_t var1[], cs_real_t var2[], cs_real_t var3[])
void | synvin (cs_real_t var[])
void | synvnr (cs_real_t var[])
void | syndia (cs_real_t var11[], cs_real_t var22[], cs_real_t var33[])
void | syndin (cs_real_t var[])
void | synten (cs_real_t var11[], cs_real_t var12[], cs_real_t var13[], cs_real_t var21[], cs_real_t var22[], cs_real_t var23[], cs_real_t var31[], cs_real_t var32[], cs_real_t var33[])
void | syntin (cs_real_t var[])
void | syntis (cs_real_t var[])
cs_mesh_t * | cs_mesh_create (void)
cs_mesh_t * | cs_mesh_destroy (cs_mesh_t *mesh)
void | cs_mesh_free_rebuildable (cs_mesh_t *mesh, bool free_halos)
void | cs_mesh_discard_free_faces (cs_mesh_t *mesh)
void | cs_mesh_update_auxiliary (cs_mesh_t *mesh)
void | cs_mesh_init_interfaces (cs_mesh_t *mesh, cs_mesh_builder_t *mb)
void | cs_mesh_init_halo (cs_mesh_t *mesh, cs_mesh_builder_t *mb, cs_halo_type_t halo_type)
cs_int_t | cs_mesh_n_g_ghost_cells (cs_mesh_t *mesh)
void | cs_mesh_sync_var_scal (cs_real_t *var)
void | cs_mesh_sync_var_scal_ext (cs_real_t *var)
void | cs_mesh_sync_var_component (cs_real_t *var)
void | cs_mesh_sync_var_vect_ni (cs_real_t *var1, cs_real_t *var2, cs_real_t *var3)
void | cs_mesh_sync_var_vect (cs_real_t *var)
void | cs_mesh_sync_var_vect_no_rotation (cs_real_t *var)
void | cs_mesh_sync_var_diag_ni (cs_real_t *var11, cs_real_t *var22, cs_real_t *var33)
void | cs_mesh_sync_var_diag (cs_real_t *var)
void | cs_mesh_sync_var_tens_ni (cs_real_t *var11, cs_real_t *var12, cs_real_t *var13, cs_real_t *var21, cs_real_t *var22, cs_real_t *var23, cs_real_t *var31, cs_real_t *var32, cs_real_t *var33)
void | cs_mesh_sync_var_tens (cs_real_t *var)
void | cs_mesh_sync_var_sym_tens (cs_real_t *var)
void | cs_mesh_clean_families (cs_mesh_t *mesh)
void | cs_mesh_init_group_classes (cs_mesh_t *mesh)
void | cs_mesh_init_selectors (void)
void | cs_mesh_get_perio_faces (const cs_mesh_t *mesh, cs_lnum_t **n_perio_face_couples, cs_gnum_t ***perio_face_couples)
cs_gnum_t * | cs_mesh_get_cell_gnum (const cs_mesh_t *mesh, int blank_perio)
void | cs_mesh_get_face_perio_num (const cs_mesh_t *mesh, int perio_num[])
void | cs_mesh_print_info (const cs_mesh_t *mesh, const char *name)
void | cs_mesh_g_face_vertices_sizes (const cs_mesh_t *mesh, cs_gnum_t *g_i_face_vertices_size, cs_gnum_t *g_b_face_vertices_size)
void | cs_mesh_selector_stats (cs_mesh_t *mesh)
void | cs_mesh_dump (const cs_mesh_t *mesh)

## Variables
cs_mesh_t * | cs_glob_mesh

## Function Documentation

void cs_mesh_clean_families | ( | cs_mesh_t * | mesh | ) |

cs_mesh_t* cs_mesh_create | ( | void |  | ) |

cs_mesh_t* cs_mesh_destroy | ( | cs_mesh_t * | mesh | ) |

void cs_mesh_discard_free_faces | ( | cs_mesh_t * | mesh | ) |

void cs_mesh_dump | ( | const cs_mesh_t * | mesh | ) |

void cs_mesh_free_rebuildable | ( | cs_mesh_t * | mesh,
|  | bool | free_halos
| ) |  |

void cs_mesh_g_face_vertices_sizes | ( | const cs_mesh_t * | mesh,
|  | cs_gnum_t * | g_i_face_vertices_size,
|  | cs_gnum_t * | g_b_face_vertices_size
| ) |  |

cs_gnum_t* cs_mesh_get_cell_gnum | ( | const cs_mesh_t * | mesh,
|  | int | blank_perio
| ) |  |

void cs_mesh_get_face_perio_num | ( | const cs_mesh_t * | mesh,
|  | int | perio_num[]
| ) |  |

void cs_mesh_get_perio_faces | ( | const cs_mesh_t * | mesh,
|  | cs_lnum_t ** | n_perio_face_couples,
|  | cs_gnum_t *** | perio_face_couples
| ) |  |

void cs_mesh_init_group_classes | ( | cs_mesh_t * | mesh | ) |

void cs_mesh_init_halo | ( | cs_mesh_t * | mesh,
|  | cs_mesh_builder_t * | mb,
|  | cs_halo_type_t | halo_type
| ) |  |

void cs_mesh_init_interfaces | ( | cs_mesh_t * | mesh,
|  | cs_mesh_builder_t * | mb
| ) |  |

void cs_mesh_init_selectors | ( | void |  | ) |

cs_int_t cs_mesh_n_g_ghost_cells | ( | cs_mesh_t * | mesh | ) |

void cs_mesh_print_info | ( | const cs_mesh_t * | mesh,
|  | const char * | name
| ) |  |

void cs_mesh_selector_stats | ( | cs_mesh_t * | mesh | ) |

void cs_mesh_sync_var_component | ( | cs_real_t * | var | ) |

void cs_mesh_sync_var_diag | ( | cs_real_t * | var | ) |

void cs_mesh_sync_var_diag_ni | ( | cs_real_t * | var11,
|  | cs_real_t * | var22,
|  | cs_real_t * | var33
| ) |  |

void cs_mesh_sync_var_scal | ( | cs_real_t * | var | ) |

void cs_mesh_sync_var_scal_ext | ( | cs_real_t * | var | ) |

void cs_mesh_sync_var_sym_tens | ( | cs_real_t * | var | ) |

void cs_mesh_sync_var_tens | ( | cs_real_t * | var | ) |

void cs_mesh_sync_var_tens_ni | ( | cs_real_t * | var11,
|  | cs_real_t * | var12,
|  | cs_real_t * | var13,
|  | cs_real_t * | var21,
|  | cs_real_t * | var22,
|  | cs_real_t * | var23,
|  | cs_real_t * | var31,
|  | cs_real_t * | var32,
|  | cs_real_t * | var33
| ) |  |

void cs_mesh_sync_var_vect | ( | cs_real_t * | var | ) |

void cs_mesh_sync_var_vect_ni | ( | cs_real_t * | var1,
|  | cs_real_t * | var2,
|  | cs_real_t * | var3
| ) |  |

void cs_mesh_sync_var_vect_no_rotation | ( | cs_real_t * | var | ) |

void cs_mesh_update_auxiliary | ( | cs_mesh_t * | mesh | ) |

void syncmp | ( | cs_real_t | var[] | ) |

void syndia | ( | cs_real_t | var11[],
|  | cs_real_t | var22[],
|  | cs_real_t | var33[]
| ) |  |

void syndin | ( | cs_real_t | var[] | ) |

void synsca | ( | cs_real_t | var[] | ) |

void synsce | ( | cs_real_t | var[] | ) |

void synten | ( | cs_real_t | var11[],
|  | cs_real_t | var12[],
|  | cs_real_t | var13[],
|  | cs_real_t | var21[],
|  | cs_real_t | var22[],
|  | cs_real_t | var23[],
|  | cs_real_t | var31[],
|  | cs_real_t | var32[],
|  | cs_real_t | var33[]
| ) |  |

void syntin | ( | cs_real_t | var[] | ) |

void syntis | ( | cs_real_t | var[] | ) |

void synvec | ( | cs_real_t | var1[],
|  | cs_real_t | var2[],
|  | cs_real_t | var3[]
| ) |  |

void synvin | ( | cs_real_t | var[] | ) |

void synvnr | ( | cs_real_t | var[] | ) |

## Variable Documentation

cs_mesh_t* cs_glob_mesh